Bug 244658 (CVE-2007-1863) - CVE-2007-1863 httpd mod_cache segfault
Summary: CVE-2007-1863 httpd mod_cache segfault
Status: CLOSED ERRATA
Alias: CVE-2007-1863
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20070502,source=asf,reported=2...
Keywords: Security
Depends On: 413891 244659 244660 244661 244662 244663 244664 244665 244666 245127 245752 582767
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-18 12:45 UTC by Mark J. Cox
Modified: 2010-08-04 21:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 16:29:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0533 normal SHIPPED_LIVE Moderate: httpd security update 2007-06-27 14:53:03 UTC
Red Hat Product Errata RHSA-2007:0534 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-07 22:27:57 UTC
Red Hat Product Errata RHSA-2007:0556 normal SHIPPED_LIVE Moderate: httpd security update 2007-06-26 15:22:15 UTC
Red Hat Product Errata RHSA-2007:0557 normal SHIPPED_LIVE Moderate: httpd security update 2007-07-13 07:38:23 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2007-06-18 12:45:25 UTC
http://svn.apache.org/viewvc?view=rev&revision=535617

* Prevent a segmentation fault if one of the Cache-Control headers
  s-maxage, max-age, min-fresh, max-stale has no value assigned.
  In this case ignore s-maxage, max-age, min-fresh. For max-stale
  it is valid to set no value. In this case set max-stale to 1 year
  to signal that the client is accepting a stale response of any age.

This could be a DoS if a threaded MPM and mod_cache is used.

Comment 8 errata-xmlrpc 2010-08-04 21:32:53 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.